confirmAuthenticatorEnrollment
POST
/api/v1/me/security/totp/confirm
const url = 'https://example.com/api/v1/me/security/totp/confirm';const options = { method: 'POST', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/me/security/totp/confirm \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "code": "example" }'Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
code
required
The six-digit authenticator code.
string
Examplegenerated
{ "code": "example"}Responses
Section titled “ Responses ”Updated security state
Incorrect code
No pending enrollment